# pi_sys

pi_sys 作用：将 宿主平台 的 差异 封装成统一 的 接口

作为项目加载的第一个库，不依赖其他库。




##  网络请求优化

- 合理的重试机制可以提升网络请求的成功率


```ts
export interface NetOption {
    // 响应超时：在请求发出后,如果在该超时时间内没有任何数据响应,且连续noResponseCount次,则认为响应超时,默认2秒
    responseTimeout: number;
    // 响应超时最大值：响应超时的最大值,超过该值后,统一使用该值作为响应超时时间,默认6秒
    responseTimeoutMax: number;
    // 连续未响应次数：连续触发响应超时的次数,到达该值,则认为响应超时,默认2次
    noResponseCount: number;
    // 每秒下载字节数最低值,默认100K;3G网络理论下载速率大概在每秒300K
    bpsMin: number;
    // 连续下载数据不足次数： 每秒下载数据不足连续次数,等于该次数则认为该次请求大概率会请求超时,中断请求,默认3次
    insufficientBufferCount: number;
    // 超时增长因子：在请求重试时,会以该数值*上次requestTimeout作为当次的requestTimeout,默认1.6
    timeoutFactor: number;
    // 重试次数：请求失败重试次数,每次重试会增加超时时间,默认3次
    retryCount: number;
}

```

## 重试机制
- 设置多个域名,第一个域名尝试试两次,后续域名尝试一次
- 超时递增重试,第一次请求失败,尝试提高超时时间重试
- 我们最终选择结合两者,先对多域名尝试,然后再尝试超时递增

## 例外
- 针对小游戏无法拿到下载进度的情况,无法使用响应超时和每秒下载字节数判断网络,只能设置总超时

