declare var __devtoolssubcontext;
declare var global;
declare var GameGlobal;
import "./platform"; // 屏蔽各小游戏平台差异
import * as _window from "./window";
import "./screen_event";
import { touchEventHandlerFactory } from "./screen_event";


function inject() {
    const { platform } = wx.getSystemInfoSync()
    var isDevtools = typeof __devtoolssubcontext === 'undefined' && platform === 'devtools';
    var isJITMode = false;
    // qq小游戏IOS适配
    // https://docs.qq.com/doc/DZGJxS2tFVGxvaXBp
    if (wx.getPerformanceConfigSync) {
        var config = wx.getPerformanceConfigSync();
        isJITMode = config.isJITMode
    }
    // 开发者工具无法重定义 window
    if (isDevtools || isJITMode) {
        for (const key in _window) {
            const descriptor = Object.getOwnPropertyDescriptor(GameGlobal, key)

            if ((!descriptor || descriptor.configurable === true) && key !== "document") {
                Object.defineProperty(window, key, {
                    value: _window[key]
                })
            }
        }
        window.wx = wx
    } else {
        _window["wx"] = wx;
        for (const key in _window) {
            GameGlobal[key] = _window[key];
        }
        GameGlobal.window = GameGlobal
        GameGlobal.top = GameGlobal.parent = GameGlobal
    }
}

if (!GameGlobal.__isAdapterInjected) {
    GameGlobal.__isAdapterInjected = true
    inject()
}

wx.onTouchStart(touchEventHandlerFactory('pointerdown'))
wx.onTouchMove(touchEventHandlerFactory('pointermove'))
wx.onTouchEnd(touchEventHandlerFactory('pointerup'))
wx.onTouchCancel(touchEventHandlerFactory('pointercancel'))