declare var GameGlobal: any;
import "./platform"; // 屏蔽各小游戏平台差异
import "./screen_event";
import * as _window from "./vivo_window";
import {reDefinedCanvas} from './define_global_canvas';
import {touchEventHandlerFactory} from"./screen_event";

// vivo小游戏不想oppo小游戏和华为小游戏，对dom和window的模拟还缺少一些关键属性，也不像微信和字节跳动，完全没有对dom和window进行模拟
// 这里将一些必要的属性注入
function inject() {
	_window["wx"] = wx;
	for (const key in _window) {
		GameGlobal[key] = _window[key];
	}

	GameGlobal.window = GameGlobal;
	GameGlobal.top = GameGlobal.parent = GameGlobal;
}

if (!GameGlobal.__isAdapterInjected) {
    GameGlobal.__isAdapterInjected = true
    inject()
}


// 与华为小游戏一样， vivo小游戏的全局canvas的宽高如果修改了，并没有修改到canvas实际的像素宽高，但在当前帧，使用width、heigth读到的canvas宽高是修改后的数值（经过测试，在下一个帧回调时读取，数值又与实际宽高相等了）
// 该方法重载了全局canvas的width和height的setter、getter方法，使之在设置指的时候直接返回，保证canvas的width、height在读取数值上与实际宽高保持一致
reDefinedCanvas(window["canvas"]);


// vivo支持onTouchStart等类微信接口，但不支持document.addEventListener接口
wx.onTouchStart(touchEventHandlerFactory('pointerdown'))
wx.onTouchMove(touchEventHandlerFactory('pointermove'))
wx.onTouchEnd(touchEventHandlerFactory('pointerup'))
wx.onTouchCancel(touchEventHandlerFactory('pointercancel'))
