
/**
 * 根据平台，使用不用的代码适配
 */

import "./platform"; // 屏蔽各小游戏平台差异

import { AppName } from "pi_sys/native/base/system_info";

export const getAppName = (res?: any/**SystemInfo */) => {
	let app: AppName;
	if (window["qq"]) {
		app = AppName.QQMinigame; // qq小游戏
	} else if (window["tt"]) {
		app = AppName.TTMinigame; // 字节跳动小游戏
	} else if (window["hbs"]) {
		app = AppName.HWMinigame; // 华为小游戏
	} else if (window["ks"]) {
		app = AppName.KSMinigame; // 快手小游戏
	} else if (window["qg"]) {
		if (res.brand === "OPPO" || res.brand === "oppo") {
			app = AppName.OPMinigame; // oppo小游戏
		} else if (res.brand === "VIVO" || res.brand === "vivo") {
			app = AppName.VVMinigame; // vivo小游戏
		}
	} else if (window["wx"]) {
		app = AppName.WXMinigame; // vivo小游戏
	}
	if (!app) {
		app = AppName.Unkown;
	}
	return app;
}


let sysInfo = wx.getSystemInfoSync();
window["_$platform_app_name"] = getAppName(sysInfo);

if (window["_$platform_app_name"] === AppName.HWMinigame) {
	require("./app_hawei");
} else if (window["_$platform_app_name"] === AppName.OPMinigame) {
	require("./app_oppo");
} else if (window["_$platform_app_name"] === AppName.VVMinigame) {
	require("./app_vivo");
} else {
	require("./app_other");
}


