import { AccelerometerData, ToffChange, TonChange, Tstart, Tstop } from "pi_sys/native/device/accelerometer";

export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return new Promise((resolve, reject) => {
        wx.startAccelerometer({
            interval,
            success: resolve as any,
            fail: reject
        });
    });
}

export const stop: Tstop = () => {
    return new Promise((resolve, reject) => {
        wx.stopAccelerometer({
            success: resolve as any,
            fail: reject
        });
    });
}

export const onChange: TonChange = (callback: (info: AccelerometerData) => void) => {
    wx.onAccelerometerChange(callback);
}

export const offChange: ToffChange = (callback?: (info: AccelerometerData) => void) => {
    wx.offAccelerometerChange(callback);
}