import { BatteryInfo, BatteryLevel, TgetInfo, ToffChargingChange, ToffLevelChange, TonChargingChange, TonLevelChange } from "pi_sys/native/device/battery";

import { Logger } from "pi_sys/util/logger";
declare var module;
let logger = new Logger(module.name, "sys");

export const getInfo: TgetInfo = (): Promise<BatteryInfo> => {
    return new Promise((resolve, reject) => {
        wx.getBatteryInfo({
            success: (res) => {
                resolve({ level: Number(res.level), isCharging: res.isCharging });
            },
            fail: reject
        });
    });
}

export const onLevelChange: TonLevelChange = (callback: (level: BatteryLevel) => void) => {

    logger.warn("WeChat mini games do not support");
}

export const offLevelChange: ToffLevelChange = (callback?: (level: BatteryLevel) => void) => {

    logger.warn("WeChat mini games do not support");
}

export const onChargingChange: TonChargingChange = (callback: (isCharging: boolean) => void) => {

    logger.warn("WeChat mini games do not support");
}

export const offChargingChange: ToffChargingChange = (callback?: (isCharging: boolean) => void) => {

    logger.warn("WeChat mini games do not support");
}