import { TgetData, TsetData } from "pi_sys/native/device/clipboard";

export const getData: TgetData = (): Promise<string> => {
    return new Promise((resolve, reject) => {
        wx.getClipboardData({
            success: (res) => {
                resolve(res.data);
            },
            fail: reject
        });
    });
}

export const setData: TsetData = (data: string): Promise<void> => {
    return new Promise((resolve, reject) => {
        wx.setClipboardData({
            data,
            success: resolve as any,
            fail: reject
        });
    });
}