import { CompassData, ToffChange, TonChange, Tstart, Tstop } from "pi_sys/native/device/compass";

export const start: Tstart = () => {
    return new Promise((resolve, reject) => {
        wx.startCompass({
            success: resolve as any,
            fail: reject
        });
    });
};

export const stop: Tstop = () => {
    return new Promise((resolve, reject) => {
        wx.stopCompass({
            success: resolve as any,
            fail: reject
        });
    });
};

export const onChange: TonChange = (callback: (data: CompassData) => void) => {
    wx.onCompassChange(callback);
}

export const offChange: ToffChange = (callback?: (data: CompassData) => void) => {
    wx.offCompassChange(callback);
}