import { GyroscopeData, ToffChange, TonChange, Tstart, Tstop } from "pi_sys/native/device/gyroscope";

export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return new Promise((resolve, reject) => {
        wx.startGyroscope({
            interval,
            success: resolve as any,
            fail: reject
        });
    });
};

export const stop: Tstop = () => {
    return new Promise((resolve, reject) => {
        wx.stopGyroscope({
            success: resolve as any,
            fail: reject
        });
    });
};

export const onChange: TonChange = (callback: (data: GyroscopeData) => void) => {
    wx.onGyroscopeChange(callback);
}

export const offChange: ToffChange = (callback?: (data: GyroscopeData) => void) => {
    wx.offGyroscopeChange(callback);
}