
/**
 * 小游戏键盘输入
 */

import { KeyboardConfig, Thide, ToffComplete, ToffConfirm, ToffInput, ToffKeyboardHeightChange, ToffKeyDown, ToffKeyUp, ToffSelection, TonComplete, TonConfirm, TonInput, TonKeyboardHeightChange, TonKeyDown, TonKeyUp, TonSelection, Tshow, TsupportSelection, Tupdate } from "pi_sys/native/device/keyboard"
import { Env } from "pi_sys/util/env";

import { Logger } from "pi_sys/util/logger";
declare var module;
let logger = new Logger(module.name, "sys");

// // // 通知键盘监听函数
// // const keyboardNotify = (notifier: Function, params: string) => {
// //     if (notifier && notifier instanceof Function) {
// //         notifier(params);
// //     }
// // };

// const DEFAULT_CFG: any = {
// 	multiple: false,
// 	maxLength: 0,
// 	confirmHold: false
// };

// export enum ConfirmType {
//     GO = 'go',          // 前往
//     DONE = 'done',      // 完成
//     NEXT = 'next',      // 下一个
//     SEND = 'send',      // 发送
//     SEARCH = 'search'   // 搜索
// }

// export interface KeyboardConfig {
// 	defaultValue: string;
//     multiple?: boolean;         // 是否允许多行编辑
//     maxLength?: number;         // 最大允许输入长度
// 	confirmType?: ConfirmType;   // 键盘确认键的内容
// 	confirmHold?: boolean;      // 点击确认键后是否键盘不隐藏
// 	inputBox?: boolean; // 默认输入框， 默认为true， 且如果是小游戏，该值无法更改
// 	attribute? : Object;
//     success?: (res: any) => void;         // 键盘显示接口调用成功回调
//     fail?: (res: any) => void;            // 键盘显示接口调用失败回调
// }


// export type ListenFunction = (value: string) => void;

// // 唤起键盘
// export function show(config: KeyboardConfig) {
// 	if(!isShow) {
// 		config = {
// 			...DEFAULT_CFG,
// 			... config,
// 		};
// 		delete config.attribute;
// 		wx.showKeyboard(config);
// 		logger.debug(config);
// 		bindListener();
// 	}
// }

// // 隐藏键盘
// export const hide = (p: any) => {
// 	wx.hideKeyboard(p);
// 	logger.warn("hidden");
// };


// // 更新键盘
// export const update = (p) => {
// 	wx.updateKeyboard(p);
// 	logger.warn("update");
// };

// export const onInput = (callback: ({value: string}) => void) => {
// 	inputListenerList.push(callback);
// 	logger.warn("onInput");
// }

// export const onComplete = (callback: ({value: string}) => void) => {
// 	completeListenerList.push(callback);
// 	logger.warn("onComplete");
// }

// const inputListener = (r: {value: string}) => {
// 	for(let li of inputListenerList) {
// 		(li instanceof Function) && li(r);
// 	}
// }

// const resultListener = (r: {value: string}) => {
// 	for(let li of completeListenerList) {
// 		(li instanceof Function) && li(r);
// 	}
// 	unbindListener();
// }

// const bindListener = () => {
// 	wx.onKeyboardInput(inputListener);
// 	wx.onKeyboardConfirm(resultListener);
// 	wx.onKeyboardComplete(resultListener);
// 	isShow = true;
// }
// const unbindListener = () => {
// 	inputListenerList.length = 0;
// 	completeListenerList.length = 0;
// 	wx.offKeyboardInput(inputListener);
// 	wx.offKeyboardConfirm(resultListener);
// 	wx.offKeyboardComplete(resultListener);
// 	isShow = false;
// }

// const inputListenerList = [];
// const completeListenerList = [];
// let isShow = false;


/**
 * 不知道为啥像上面那样实现   暂时注释  统一调用原生小游戏接口
 */



export const show: Tshow = (config: KeyboardConfig) => {
	delete config.attribute;        // config.attribute有类似循环引用的接口,不删除微信格式化config的时候会出错
	config.confirmHold = false;
	(<any>config).confirmType = "done";
	wx.showKeyboard(config);
}

export const hide: Thide = (options: { fail?: Function, success?: Function }) => {
	wx.hideKeyboard(options as any);
}

export const update: Tupdate = (options: { value: string, success?: Function, fail?: Function, complete?: (res: any) => void }) => {
	wx.updateKeyboard(options as any);
}

export const supportSelection: TsupportSelection = () => {
	return false;
}

/**
 * 不支持设置光标位置
 * @param index 
 */
export const setSelection = (index: number, x?: number, y?: number): boolean => {
	return false;
}

/**
 * 监听光标改变
 * @param callback 
 * @param 
 * @returns 
 */
export const onSelection: TonSelection = (callback: (value: number) => void) => {

}

export const offSelection: ToffSelection = (callback: (value: number) => void) => {

}

export const onInput: TonInput = (callback: ({ value: string }) => void) => {
	wx.onKeyboardInput(callback);
}

export const offInput: ToffInput = (callback?: ({ value: string }) => void) => {
	wx.offKeyboardInput(callback);
}

export const onConfirm: TonConfirm = (callback: ({ value: string }) => void) => {
	wx.onKeyboardConfirm(callback);
}

export const offConfirm: ToffConfirm = (callback?: ({ value: string }) => void) => {
	wx.offKeyboardConfirm(callback);
}

export const onComplete: TonComplete = (callback: ({ value: string }) => void) => {
	wx.onKeyboardComplete(callback);
}

export const offComplete: ToffComplete = (callback?: ({ value: string }) => void) => {
	wx.offKeyboardComplete(callback);
}

/**
 * 监听 虚拟键盘 高度，仅限于 支持 虚拟键盘 的 平台 
 */
export const onKeyboardHeightChange: TonKeyboardHeightChange = (callback: ({ height: number }) => void) => {
	wx.onKeyboardHeightChange(callback);
}

/**
 * 取消监听 虚拟键盘 高度，仅限于 支持 虚拟键盘 的 平台.
 */
export const offKeyboardHeightChange: ToffKeyboardHeightChange = (callback: ({ height: number }) => void) => {
	wx.offKeyboardHeightChange(callback);
}

/**
 * 监听键盘按键按下事件，仅适用于 PC 平台
 * @param callback 
 */
export const onKeyDown: TonKeyDown = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {
	const systemInfo = Env.get("system_info")
	if (systemInfo.device === "pc") {
		wx.onKeyDown && wx.onKeyDown(callback);
	}
}

/**
 *  取消监听键盘按键按下事件，仅适用于 PC 平台
 * @param callback 
 */
export const offKeyDown: ToffKeyDown = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {
	const systemInfo = Env.get("system_info")
	if (systemInfo.device === "pc") {
		wx.offKeyDown && wx.offKeyDown(callback);
	}
};


/**
 * 监听键盘按键弹起事件，仅适用于 PC 平台
 * @param callback 
 */
export const onKeyUp: TonKeyUp = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {
	const systemInfo = Env.get("system_info")
	if (systemInfo.device === "pc") {
		wx.onKeyUp && wx.onKeyUp(callback);
	}
}

/**
 *  取消监听键盘按键弹起事件，仅适用于 PC 平台
 * @param callback 
 */
export const offKeyUp: ToffKeyUp = (callback: (param: { key: string, code: string, timeStamp: number }) => void) => {
	const systemInfo = Env.get("system_info")
	if (systemInfo.device === "pc") {
		wx.offKeyUp && wx.offKeyUp(callback);
	}
};