import { LocationInfo, TgetLocation, ToffChange, TonChange, Tstart, Tstop } from "pi_sys/native/device/location";

import { Logger } from "pi_sys/util/logger";
declare var module;
let logger = new Logger(module.name, "sys");

export const getLocation: TgetLocation = (type: string, altitude: string, isHighAccuracy: boolean, highAccuracyExpireTime: number): Promise<LocationInfo> => {
    return new Promise((resolve, reject) => {
        wx.getLocation({
            type,
            altitude,
            isHighAccuracy,
            highAccuracyExpireTime,
            success: resolve,
            fail: reject
        })
    });
}

export const start: Tstart = () => {

    logger.warn("WeChat mini games do not support");
    return Promise.resolve();
};

export const stop: Tstop = () => {

    logger.warn("WeChat mini games do not support");
    return Promise.resolve();
};

export const onChange: TonChange = (callback: (data: LocationInfo) => void) => {

    logger.warn("WeChat mini games do not support");
}

export const offChange: ToffChange = (callback: (data: LocationInfo) => void) => {

    logger.warn("WeChat mini games do not support");
}