import { MotionData, ToffChange, TonChange, TregisterRotation, TsetAutoRotation, TsetManualScreenOrientation, Tstart, Tstop, TunRegisterRotation } from "pi_sys/native/device/motion";

export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return new Promise((resolve, reject) => {
        wx.startDeviceMotionListening({
            interval,
            success: resolve,
            fail: reject
        });
    });
};

export const stop: Tstop = () => {
    return new Promise((resolve, reject) => {
        wx.stopDeviceMotionListening({
            success: resolve,
            fail: reject
        });
    });

};

export const onChange: TonChange = (callback: (data: MotionData) => void) => {
    wx.onDeviceMotionChange(callback);
}

export const offChange: ToffChange = (callback?: (data: MotionData) => void) => {
    wx.offDeviceMotionChange(callback);
}



/**
 * 注册横竖屏切换监听
 */
export const registerRotation: TregisterRotation = (callback: (orientation: "portrait" | "landscape") => void) => {

}

/**
 * 取消注册横竖屏切换监听
 */
export const unRegisterRotation: TunRegisterRotation = (callback?: (orientation: "portrait" | "landscape") => void) => { }

/**
 * 设置自动横竖屏切换
 */
export const setAutoRotation: TsetAutoRotation = (auto: boolean) => {

}

/**
 * 手动切换横竖屏
 */
export const setManualScreenOrientation: TsetManualScreenOrientation = () => {
    return Promise.resolve("portrait")
}