/**
 * 底层设备：网络类型和监听器
 */

import { NetWrokType, TgetType, ToffStatusChange, TonStatusChange } from "pi_sys/native/device/network";


export const getType: TgetType = (): Promise<NetWrokType> => {
    return new Promise((resolve, reject) => {
        wx.getNetworkType({
            success: (res) => {
                resolve(<any>res.networkType);
            },
            fail: reject
        })
    });
}

export const onStatusChange: TonStatusChange = (callback: ({ isConnected: boolean, networkType: NetWrokType }) => void) => {
    wx.onNetworkStatusChange(callback);
}

export const offStatusChange: ToffStatusChange = (callback: ({ isConnected: boolean, networkType: NetWrokType }) => void) => {
    wx.offNetworkStatusChange(callback);
}