import { FileLoadParam } from "pi_sys/load/fileload_base";
import { TsetCursor } from "pi_sys/render/cursor";
import { Depend } from "pi_sys/util/depend";
import { loadLocalPath } from "../load/object_load";


export const setCursor: TsetCursor = (path: string, x: number = 0, y: number = 0) => {
    if (wx.setCursor) {
        return new Promise((resolve, reject) => {
            let info = Depend.getFile(path);

            if (info) {
                loadLocalPath(info, path).then((localPath) => {
                    resolve(wx.setCursor(localPath, x, y))
                }).catch(reject);
            } else {
                reject(`setCursor - Not Found File Depend Info ${path}`);
            }
        })
    } else {
        return Promise.resolve(false)
    }

}

