import { access, mkdir, writeFile as _writeFile } from "pi_sys/store/file_system";

export const dirname = (path: string) => {
    let i = path.lastIndexOf("/");
    path = path.slice(0, i);
    return path;
}

/**
 * 递归创建目录
 */
export const mkdirRecursive = async (path: string) => {
    path = dirname(path);
    const exist = await access(path);
    if (!exist) {
        await mkdir(path);   // 小游戏默认递归创建目录
    }
}

/**
 * 写文件
 * @param path 
 * @param value 
 * @returns 
 */
export const writeFile = async (path: string, value: ArrayBuffer | string) => {
    await mkdirRecursive(path);
    return _writeFile(path, value)
}