/**
 * 数据转换器
 * 有些数据加密了,有些数据未加密,在这里统一处理
 */

import { CompressAlgorithm, CompressLevel, EncryptType } from "pi_sys/util/constant";

/**
 * 解密buffer
 * @param info 
 * @param data 
 * @returns 
 */
export const decodeBuffer = (data: Uint8Array | ArrayBuffer, decryptType?: EncryptType, encryptKey?: string, compressAlgorithm?: CompressAlgorithm): Promise<Uint8Array> => {
    if (data instanceof Uint8Array) {
        return Promise.resolve(data);
    } else {
        return Promise.resolve(new Uint8Array(data));
    }
}

/**
 * 从本地读数据  
 * @param path 
 * @param isAsset 是否是assets目录,否则从data目录读 
 * @param encryptType 
 * @param compressAlgorithm 
 * @returns 
 */
export const readFromLocal = (path: string, isAsset: boolean, decryptType?: EncryptType, encryptKey?: string, compressAlgorithm?: CompressAlgorithm): Promise<Uint8Array> => {
    return Promise.resolve(null)
}


/**
 * 写数据到data目录
 * @param path 
 * @param decryptType 
 * @param encryptKey 
 * @param compressAlgorithm 
 * @param compressLevel 
 * @returns 
 */
export const writeToData = (path: string, data: Uint8Array | ArrayBuffer, encryptType?: EncryptType, encryptKey?: string, compressAlgorithm?: CompressAlgorithm, compressLevel?: CompressLevel): Promise<void> => {
    return Promise.resolve(null)
}