import { FileLoadParam } from "pi_sys/load/fileload_base";
import { TcheckLocalSign, TgetSign, TisAsset, TisAssetCopy } from "pi_sys/load/interface";
import { IFileDependInfo } from "pi_sys/util/depend_base";



export const SIGN_KEY = '';
export const APP_VERSION_KEY = 'APP_VERSION';

/**
 * @description 获得路径签名
 * @example
 */
export const getSign: TgetSign = (path: string) => {
    return FileLoadParam.assetsSign[path] || FileLoadParam.dbSign[path] || FileLoadParam.assetsCopySign[path];
}

export const checkLocalSign: TcheckLocalSign = (newInfo: IFileDependInfo, path: string) => {
    return newInfo.sign === getSign(path);
}

/**
 * 判断是否为本地文件
 * @param sign 
 */
export const isAsset: TisAsset = (path: string) => {
    const sign = FileLoadParam.assetsSign[path];
    return !!sign;
};

export const isAssetCopy: TisAssetCopy = (path: string) => {
    const sign = FileLoadParam.assetsCopySign[path];
    return !!sign;
};


