/**
 * 媒体：音频
 */

import { IAudioPlayCfg, IPiAudio, StateType, StepType } from "./audio";




class AudioPlayCfg implements IAudioPlayCfg {
    public readonly context: AudioContext;
    public volume: GainNode = null;
    public playTime: number = 0;
    public pauseTime: number = 0;
    public onended: Function = null;
    public delay: number = 0;
    public repeat: number = 0;
    public repeatDelay: number = 0;
    public startTime: number = 0;
    public loop: boolean = false;

    public getState(): StateType {
        return StateType.READY;
    }
    /**
     * 获取声音时长
     */
    public getDuration(): number {
        return 0;
    }
    /**
     * 暂停
     */
    public pause(): void {

    }

    public disconnect() {

    }
    /**
     * 停止
     */
    public stop(): void {

    }
    /**
     * 销毁
     */
    public destroy(): void {

    }

    public play(volume: number = 1, delay: number = 0, offset: number = 0) {

    }
}



/**
 * 普通音效，外部只管发起播，不管后续,可能同时播多次同一音效
 * 背景音乐，外部控制 播放,暂停,停止，同时只能存在一个播放
 */
export class PiAudio implements IPiAudio {

    public onended: Function = null;
    public loop: boolean = false;
    // 当前播放的声音数组
    public arr: AudioPlayCfg[] = [];
    // 音量， 0-1之间
    public volume: number = 1;

    public play(delay?: number, repeat?: number, repeatDelay?: number) {

    }
    public playAsBGM(volume: number = 1, loop: boolean = true, stepTime: number = 0, stepType?: StepType) {

    }

    public stopAsBGM() {

    }

    public pauseAsBGM() {

    }


    public destroy() {

    }
}