/**
 * 媒体：音频
 */

import { IPiInnerAudio } from "./inner_audio";

export class PiInnerAudio implements IPiInnerAudio {

    /**
     * 小游戏真机实测
     * 1. 第一次播放
     * 2. stop之后播放
     */
    public startTime: number = 0;      // 开始播放的位置（单位：s），默认为 0
    public loop: boolean = false;          // 是否循环播放，默认为 false
    public volume: number = 1;         // 音量。范围 0~1。默认为 1
    public playbackRate: number = 1;   // 播放速度。范围 0.5-2.0，默认为 1。
    public duration: number;       // 当前音频的长度（单位 s） （只读）
    public currentTime: number;    // 当前音频的播放位置（单位 s）时间保留小数点后 6 位 （只读）
    public paused: boolean;        // 当前是是否暂停或停止状态（只读）

    constructor(src: any) {

    }
    /**
     * 播放
     */
    play() {

    }

    /**
     * 暂停；音频再播放会从暂停处开始播放
     */
    pause() { }

    /**
     * 停止。停止后的音频再播放会从头开始播放
     */
    stop() { }

    /**
     * 跳转到指定位置
     * @param position 跳转的时间，单位 s。精确到小数点后 3 位，即支持 ms 级别精确度
     */
    seek(position: number) { }

    /**
     * 销毁当前实例
     */
    destroy() { }        // 销毁当前实例

    /**
     * 监听音频进入可以播放状态的事件。但不保证后面可以流畅播放
     * @param callback 音频进入可以播放状态的事件的回调函数
     */
    onCanplay(callback: () => void) { }

    /**
     * 取消监听音频进入可以播放状态的事件
     * @param callback 音频进入可以播放状态的事件的回调函数
     */
    offCanplay(callback: () => void) { }

    /**
     * 监听音频播放事件
     * @param callback 音频播放事件的回调函数
     */
    onPlay(callback: () => void) { }

    /**
     * 取消监听音频播放事件
     * @param callback 音频播放事件的回调函数
     */
    offPlay(callback: () => void) { }

    /**
     * 监听音频暂停事件
     * @param callback 音频暂停事件的回调函数
     */
    onPause(callback: () => void) { }

    /**
     * 取消监听音频暂停事件
     * @param callback 音频暂停事件的回调函数
     */
    offPause(callback: () => void) { }

    /**
     * 监听音频停止事件
     * @param callback 音频停止事件的回调函数
     */
    onStop(callback: () => void) { }

    /**
     * 取消监听音频停止事件
     * @param callback 音频停止事件的回调函数
     */
    offStop(callback: () => void) { }

    /**
     * 监听音频自然播放至结束的事件
     * @param callback 音频自然播放至结束的事件的回调函数
     */
    onEnded(callback: () => void) { }

    /**
     * 取消监听音频自然播放至结束的事件
     * @param callback 音频自然播放至结束的事件的回调函数
     */
    offEnded(callback: () => void) { }

    /**
     * 监听音频播放进度更新事件
     * @param callback 音频播放进度更新事件的回调函数
     */
    onTimeUpdate(callback: () => void) { }

    /**
     * 取消监听音频播放进度更新事件
     * @param callback 音频播放进度更新事件的回调函数
     */
    offTimeUpdate(callback: () => void) { }

    /**
     * 监听音频进行跳转操作的事件
     * @param callback 音频进行跳转操作的事件的回调函数
     */
    onSeeking(callback: () => void) { }

    /**
     * 取消监听音频进行跳转操作的事件
     * @param callback 音频进行跳转操作的事件的回调函数
     */
    offSeeking(callback: () => void) { }

    /**
     * 监听音频完成跳转操作的事件
     * @param callback 音频完成跳转操作的事件的回调函数
     */
    onSeeked(callback: () => void) { }

    /**
     * 取消监听音频完成跳转操作的事件
     * @param callback 音频完成跳转操作的事件的回调函数
     */
    offSeeked(callback: () => void) { }

}


