export * from "./log_impl";

export enum LogLevel {
    Verbose = 0,
    Debug = 1,
    Info = 2,
    Warn = 3,
    Error = 4
}


export type TnotifySendLog = (indexOfLogFile: number, userName: string) => Promise<void>;

/**
 * 设置日志落地的最低等级,包含该等级.
 * @param level 默认 LogLevel.Debug
 */
export type TsetLocalLogLevel = (level: LogLevel) => Promise<void>;

/**
 * 设置AndroidStudio控制台日志显示的最低等级,包含该等级.
 * @param level 默认 LogLevel.Info
 * @returns 
 */
export type TsetConsoleLogLevel = (level: LogLevel) => Promise<void>;
/**
 * 是否开启日志落地
 * @param isOpen 默认：true 
 * @returns 
 */
export type TsetLogLocal = (isOpen: boolean) => Promise<void>;