import { LogLevel, TnotifySendLog, TsetConsoleLogLevel, TsetLocalLogLevel, TsetLogLocal } from "./log";


/**
 * 读取单个落地日志文件的内容,并上传到服务器.
 * @param indexOfLogFile 日志文件索引(0表示最新日志,1表示上一天日志文件..)
 * @param userName  标识符(后台用来区分是那个用户的日志,建议填写用户名)
 * @note 调用这个函数，服务器对应的 日志名：${userName}_20210707.log
 * @note 底层异常主动上传，服务器对应的 日志名：DeviceID_${deviceId}_20210707.log
 */
export const notifySendLog: TnotifySendLog = (indexOfLogFile: number, userName: string) => {
    return Promise.resolve();
}

/**
 * 设置日志落地的最低等级,包含该等级.
 * @param level 默认 LogLevel.Debug
 */
export const setLocalLogLevel: TsetLocalLogLevel = (level: LogLevel) => {
    return Promise.resolve();
}

/**
 * 设置AndroidStudio控制台日志显示的最低等级,包含该等级.
 * @param level 默认 LogLevel.Info
 * @returns 
 */
export const setConsoleLogLevel: TsetConsoleLogLevel = (level: LogLevel) => {
    return Promise.resolve();
}

/**
 * 是否开启日志落地
 * @param isOpen 默认：true 
 * @returns 
 */
export const setLogLocal: TsetLogLocal = (isOpen: boolean) => {
    return Promise.resolve();
}