import { AccelerometerData, ToffChange, TonChange, Tstart, Tstop } from "./accelerometer";

/**
 * 开始监听加速度数据
 * @param interval - 频率，如果值无效，返回错误，有效值如下： "normal": 200 ms/次(默认) "ui": 60 ms/次 "game": 20 ms/次
 */
export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return Promise.resolve();
}

/**
 * 停止监听加速度数据
 */
export const stop: Tstop = () => {
    return Promise.resolve();
}

/**
 * 监听加速度数据事件。频率根据 start() 的 interval 参数, 接口调用后会自动开始监听
 * @param callback
 */
export const onChange: TonChange = (callback: (info: AccelerometerData) => void) => {

}

/**
 * 取消监听加速度数据事件，参数为空，则取消所有的事件监听。
 * @param callback 
 */
export const offChange: ToffChange = (callback?: (info: AccelerometerData) => void) => {

}