/**
 * 底层设备：电量
 */
export * from "./battery_impl";


/**
 * 电量
 */
export interface BatteryLevel {
    level: number;      // 当前电量数值
    scale: number;      // 总电量数值
    percent: number;    // 当前电量百分比(范围 1 - 100)
}

/**
 * 设备电量信息
 */
export interface BatteryInfo {
    level: number;        // 设备电量，范围 1 - 100
    isCharging: boolean;  // 是否正在充电中
}

export type TgetInfo = () => Promise<BatteryInfo>;

export type TonLevelChange = (callback: (level: BatteryLevel) => void) => void;

export type ToffLevelChange = (callback?: (level: BatteryLevel) => void) => void;

export type TonChargingChange = (callback: (isCharging: boolean) => void) => void;

export type ToffChargingChange = (callback?: (isCharging: boolean) => void) => void;
