import { BatteryInfo, BatteryLevel, TgetInfo, ToffChargingChange, ToffLevelChange, TonChargingChange, TonLevelChange } from "./battery";

/**
 * 获取设备电量
 * @note webview的实现是通过两个接口的调用合成
 */
export const getInfo: TgetInfo = (): Promise<BatteryInfo> => {
    return Promise.resolve(null);
}

/**
 * 监听电量变化.
 * @note 电量每变化1%回调一次.
 * @note 微信小游戏不支持
 */
export const onLevelChange: TonLevelChange = (callback: (level: BatteryLevel) => void) => {
}

/**
 * 取消监听电量变化.参数为空，则取消所有的事件监听。
 * @note 微信小游戏不支持
 */
export const offLevelChange: ToffLevelChange = (callback?: (level: BatteryLevel) => void) => {
}

/**
 * 监听充放电变化.
 * @note 微信小游戏不支持
 */
export const onChargingChange: TonChargingChange = (callback: (isCharging: boolean) => void) => {
}

/**
 * 取消监听充放电变化.参数为空，则取消所有的事件监听。
 * @note 微信小游戏不支持
 */
export const offChargingChange: ToffChargingChange = (callback?: (isCharging: boolean) => void) => {
}