
export * from "./compass_impl";

export interface CompassData {
    /**
     * accuracy 精度，枚举 high 高精度 medium 中等精度 low 低精度 no-contact 不可信，传感器失去连接 unreliable 不可信，原因未知 unknow ${value} 未知的精度枚举值，即该 Android 系统此时返回的表示精度的 value 不是一个标准的精度枚举值
     */
    accuracy: number | string;
    /**
     * direction 面对的方向度数(0度是北,顺时针递增至360度).
     */
    direction: number;
}

export type Tstart = () => Promise<void>;

export type Tstop = () => Promise<void>;

export type TonChange = (callback: (data: CompassData) => void) => void;

export type ToffChange = (callback?: (data: CompassData) => void) => void;
