import { GyroscopeData, ToffChange, TonChange, Tstart, Tstop } from "./gyroscope";

/**
 * 开始监听陀螺仪数据。.
 * @param interval - 频率，如果值无效，返回错误，有效值如下： "normal": 200 ms/次(默认) "ui": 60 ms/次 "game": 20 ms/次
 */
export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return Promise.resolve();
};

/**
 * 停止监听陀螺仪数据
 */
export const stop: Tstop = () => {
    return Promise.resolve();
};

/**
 * 监听陀螺仪数据变化事件。频率根据 start 的 interval 参数。可以使用 stop 停止监听。
 */
export const onChange: TonChange = (callback: (data: GyroscopeData) => void) => {

}

/**
 * 取消监听陀螺仪数据变化事件.参数为空，则取消所有的事件监听。
 * @param callback 
 */
export const offChange: ToffChange = (callback?: (data: GyroscopeData) => void) => {

}