export * from "./location_impl";

export interface LocationInfo {
    accuracy: number;
    altitude: number;
    horizontalAccuracy: number;
    latitude: number;
    longitude: number;
    speed: number;
}

export type TgetLocation = (type: string, altitude: string, isHighAccuracy: boolean, highAccuracyExpireTime: number) => Promise<LocationInfo>;

export type Tstart = () => Promise<void>;

export type Tstop = () => Promise<void>;

export type TonChange = (callback: (data: LocationInfo) => void) => void;

export type ToffChange = (callback?: (data: LocationInfo) => void) => void;
