import { LocationInfo, TgetLocation, ToffChange, TonChange, Tstart, Tstop } from "./location";

/**
 * GPS准确度高但耗电多，网络定位耗电少但准确度低
 * @param type - wgs84 返回 gps 坐标；gcj02 返回可用于 wx.openLocation 的坐标
 * @param altitude - 传入 true 会返回高度信息，由于获取高度需要较高精确度，会减慢接口返回速度
 * @param isHighAccuracy - 开启高精度定位
 * @param highAccuracyExpireTime - 高精度定位超时时间(ms)，指定时间内返回最高精度，该值3000ms以上高精度定位才有效果
 * @note 小游戏获取定位信息需要授权
 */
export const getLocation: TgetLocation = (type: string, altitude: string, isHighAccuracy: boolean, highAccuracyExpireTime: number) => {
    return Promise.resolve(null);
}

/**
 * 开启位置监听.
 * @note 微信小游戏不支持
 */
export const start: Tstart = () => {
    return Promise.resolve();
};

/**
 * 停止位置监听
 * @note 微信小游戏不支持
 */
export const stop: Tstop = () => {
    return Promise.resolve();
};

/**
 * 监听位置信息变化事件。
 * @note 微信小游戏不支持
 */
export const onChange: TonChange = (callback: (data: LocationInfo) => void) => {

}

/**
 * 取消监听位置信息变化事件.参数为空，则取消所有的事件监听。
 * @param callback 
 * @note 微信小游戏不支持
 */
export const offChange: ToffChange = (callback: (data: LocationInfo) => void) => {

}