export * from "./motion_impl";

export interface MotionData {
    alpha: number;
    beta: number;
    gamma: number;
}

export type Tstart = (interval?: "normal" | "ui" | "game") => void;

export type Tstop = () => void;

export type TonChange = (callback: (data: MotionData) => void) => void;

export type ToffChange = (callback?: (data: MotionData) => void) => void;

/**
 * 注册横竖屏切换监听
 */
export type TregisterRotation = (callback: (orientation: "portrait" | "landscape") => void) => void

/**
 * 取消注册横竖屏切换监听
 */
export type TunRegisterRotation = (callback?: (orientation: "portrait" | "landscape") => void) => void

/**
 * 设置自动横竖屏切换
 */
export type TsetAutoRotation = (auto: boolean) => void

/**
 * 手动切换横竖屏
 */
export type TsetManualScreenOrientation = () => Promise<"portrait" | "landscape">