import { MotionData, ToffChange, TonChange, TregisterRotation, TsetAutoRotation, TsetManualScreenOrientation, Tstart, Tstop, TunRegisterRotation } from "./motion";

/**
 * 开始监听设备方向的变化.
 * @param interval - 频率，如果值无效，返回错误，有效值如下： "normal": 200 ms/次(默认) "ui": 60 ms/次 "game": 20 ms/次
 */
export const start: Tstart = (interval: "normal" | "ui" | "game" = "normal") => {
    return Promise.resolve();
};

/**
 * 停止监听设备方向的变化
 */
export const stop: Tstop = () => {
    return Promise.resolve();
};

/**
 * 监听设备方向变化事件。频率根据 start() 的 interval 参数。可以使用 stop() 停止监听。
 */
export const onChange: TonChange = (callback: (data: MotionData) => void) => {

}

/**
 * 取消监听设备方向变化事件，参数为空，则取消所有的事件监听
 */
export const offChange: ToffChange = (callback?: (data: MotionData) => void) => {

}


/**
 * 注册横竖屏切换监听
 */
export const registerRotation: TregisterRotation = (callback: (orientation: "portrait" | "landscape") => void) => {

}

/**
 * 取消注册横竖屏切换监听
 */
export const unRegisterRotation: TunRegisterRotation = (callback?: (orientation: "portrait" | "landscape") => void) => { }

/**
 * 设置自动横竖屏切换
 */
export const setAutoRotation: TsetAutoRotation = (auto: boolean) => {

}

/**
 * 手动切换横竖屏
 */
export const setManualScreenOrientation: TsetManualScreenOrientation = () => {
    return Promise.resolve("portrait")
}