/**
 * 底层设备：网络类型和监听器
 */
export * from "./network_impl";

/**
 * 网络类型
 */
export enum NetWrokType {
    'wifi',    // wifi 网络
    '2g',     // 2g 网络
    '3g',     // 3g 网络
    '4g',     // 4g 网络
    '5g',     // 5g 网络
    'unknown', // Android 下不常见的网络类型	
    'none'	 // 无网络
}

export type TgetType = () => Promise<NetWrokType>;

export type TonStatusChange = (callback: ({ isConnected: boolean, networkType: NetWrokType }) => void) => void;

export type ToffStatusChange = (callback?: ({ isConnected: boolean, networkType: NetWrokType }) => void) => void;