/**
 * 底层设备：振动
 */

import { TvibrateLong, TvibrateShort } from "./vibrate";

/**
 * 使手机发生较短时间的振动（15 ms）
 * @param type 震动强度类型，有效值为：heavy、medium、light   仅微信小游戏有效
 * @note 仅在 iPhone 7 / 7 Plus 以上及 Android 机型生效
 * https://developers.weixin.qq.com/community/develop/doc/00040283dc00b849181c7baff5bc00
 * @note 微信小游戏实测: 在Honor 10  Col-AL10上测试,不论哪个值,都是失败,原因未知,不传type值反而成功,但是感受不到震动
 * 文档上写明type是必填项,所以接口定义与微信小游戏文档一致
 */
export const vibrateShort: TvibrateShort = (type: "heavy" | "medium" | "light"): Promise<void> => {
    return Promise.resolve();
}

/**
 * 使手机发生较长时间的振动（400 ms)
 */
export const vibrateLong: TvibrateLong = (): Promise<void> => {
    return Promise.resolve();
}
