import { ChangeInfo, Texit, Tjoin, TjoinVideoRoom, Tlogin, Tlogout, TregisterMembersChanged, TregisterSpeakersChanged, TunregisterMembersChanged, TunregisterSpeakersChanged, TupdateMuteConfig } from "./voipchat";

/**
 * 登录实时音视频系统.
 * @parameter sdkAppId - 腾讯实时音视频三方SDK的AppID
 * @parameter userId - 腾讯实时音视频三方SDK中设置的userId
 * @parameter userSig - 用上述userId以腾讯签名规则得到的userSig
 */
export const login: Tlogin = (sdkAppId: number, userId: string, userSig: string): Promise<any> => {
    return Promise.resolve();
}

/**
 * 退出登录.
 */
export const logout: Tlogout = (): Promise<any> => {
    return Promise.resolve();
}

/**
 * 进入实时视频通话.
 * @parameter roomId - 房间号
 * @parameter userName - 用户名
 * @parameter userAvatar - 头像地址
 * @parameter openCamera - 是否开启摄像头
 * @parameter openAudio - 是否开启麦克风
 * @parameter audioQuality - 音质(1:语音 2:默认 3:音乐)
 */
export const joinVideoRoom: TjoinVideoRoom = (roomId: number, userName: string, userAvatar: string, openCamera: boolean, openAudio: boolean, audioQuality: number) => {
}


/**
 * 进入实时语音通话.
 * @parameter roomId - 房间号
 * @parameter muteMicrophone - 是否静音麦克风
 * @parameter muteEarphone - 是否静音
 */
export const join: Tjoin = (roomId: string, muteMicrophone: boolean, muteEarphone: boolean) => {
}

/**
 * 退出实时语音通话.
 */
export const exit: Texit = () => {
}

/**
 * 更新实时语音通话的声音和麦克设置.
 * @parameter muteMicrophone - 是否静音麦克风
 * @parameter muteEarphone - 是否静音
 */
export const updateMuteConfig: TupdateMuteConfig = (muteMicrophone: boolean, muteEarphone: boolean) => {
}

/**
 * 监听实时语音通话成员在线状态变化事件。有成员加入/退出通话时触发回调.
 */
export const registerMembersChanged: TregisterMembersChanged = (callback: (flag: ChangeInfo) => void) => {
}

/**
 * 取消 监听实时语音通话成员通话状态变化事件.
 */
export const unregisterMembersChanged: TunregisterMembersChanged = (callback: (flag: ChangeInfo) => void) => {
}

/**
 * 监听实时语音通话成员通话状态变化事件。有成员开始/停止说话时触发回调.
 */
export const registerSpeakersChanged: TregisterSpeakersChanged = (callback: (flag: ChangeInfo) => void) => {
}

/**
 * 取消 监听实时语音通话成员通话状态变化事件。有成员开始/停止说话时触发回调.
 */
export const unregisterSpeakersChanged: TunregisterSpeakersChanged = (callback: (flag: ChangeInfo) => void) => {
}