import * as _Vibrate from "./device/vibrate";
import * as _Battery from "./device/battery";
import * as _Network from "./device/network";
import * as _Screen from "./device/screen";
import * as _Ad from "./platform/ad";
import * as _Login from "./platform/login";
import * as _Pay from "./platform/pay";
import * as _Push from "./platform/push";
import * as _Share from "./platform/share";
import * as _SpecialCall from "./platform/specialcall";
import * as _UpLoad from "./platform/upload";
import * as _Dialog from "./ui/dialog";
import * as _Image from "./media/image";
import * as _AudioRecorder from "./media/audio_recorder";
import * as _AutoTest from "./platform/auto_test";
import * as _App from "./base/app";
import * as _SystemInfo from "./base/system_info";
// import { Asset as _Asset } from "./asset";
// import { File as _File } from "./file";
// import { ShareNative as _ShareNative } from "./sharenative";
import * as _Camera from "./media/camera";
import * as _Accelerometer from "./device/accelerometer";
import * as _Clipboard from "./device/clipboard";
import * as _Compass from "./device/compass";
import * as _Motion from "./device/motion";
import * as _Orientation from "./device/orientation";
import * as _Gyroscope from "./device/gyroscope";
import * as _Location from "./device/location";
import * as _QRCode from "./device/qrcode";
import * as _MemoryWarning from "./device/memorywarning";
import * as _VoIPChat from "./device/voipchat";
import * as _KeyBoard from "./device/keyboard";
import * as _Log from "./base/log";

export namespace Native {

   //  ========= base =========
   export const App = _App;
   export const SystemInfo = _SystemInfo;

   //  ========= ui =========
   export const Dialog = _Dialog;

   //  ========= media =========
   export const AudioRecorder = _AudioRecorder;
   export const Camera = _Camera;
   export const Image = _Image;

   //  ========= platform =========
   export const Ad = _Ad;
   export const Login = _Login;
   export const Pay = _Pay;
   export const Push = _Push;
   export const Share = _Share;
   export const Upload = _UpLoad;
   export const SpecialCall = _SpecialCall;


   /**
    * 自动化测试
    * @todo
    * @note 目前 仅 Android-APK 有效
    */
   export const AutoTest = _AutoTest;

   //  ========= device =========
   export const Accelerometer = _Accelerometer;
   export const Battery = _Battery;
   export const Clipboard = _Clipboard;
   export const Compass = _Compass;
   export const Gyroscope = _Gyroscope;
   export const KeyBoard = _KeyBoard;
   export const Location = _Location;
   export const MemoryWarning = _MemoryWarning;
   export const Motion = _Motion;
   export const Network = _Network;
   export const Orientation = _Orientation;
   export const QRCode = _QRCode;
   export const Screen = _Screen;
   export const Vibrate = _Vibrate;

   /**
    * 实时音视频
    * @todo
    * @note 目前 仅 Android-APK 有效
    */
   export const VoIPChat = _VoIPChat;

   //  ========= 已经废弃的接口 =========

   /**
    * @deprecated 已废弃，请用：PISYS.Native.Motion 代替；
    */
   export const DeviceMotion = _Motion;

   /**
    * @deprecated 已废弃，请用：PISYS.Native.Orientation 代替；
    */
   export const DeviceOrientation = _Orientation;

   /**
    * @deprecated，已废弃，请用 PISYS.Logger 统一处理；
    */
   export const Log = _Log;

   //    export const Asset = _Asset;
   //    export const File = _File;
   //    export const ShareNative = _ShareNative;
   //    export const Audio = _Audio;
}

