/**
 * 广告 SDK
 */
export * from "./ad_impl";


/**
 * 广告 类型
 */
 export enum AdType {
    Splash = "splash",              // 开屏 广告
    Interstitial = "interstitial",  // 插屏 广告
    Reward = "reward",              // 激励 广告
    Fullscreen = "fullscreen"       // 全屏 广告
}

// /**
//  * 初始化广告顺序,对广告进行排序(load前调用有效).
//  * @param josn - Json格式的广告优先级
//  * @example - .eg: [ {"adType" : "splash", "ads" : ["csj", "gdt"] } ]
//  */
// export function initAd(json: IADJson[]) {
//     return Promise.resolve(undefined);
// }

/**
 * 加载广告(调用一次即可).
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export type Tload = (adType: string) => Promise<void>;

/**
 * 展示广告.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export type Tshow = (adType: string) => Promise<void>;

/**
 * 销毁广告实例.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export type Tdestroy = (adType: string) => Promise<void>;


/**
 * 监听广告关闭事件(load后,调用才有效)..
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export type TonClose = (adType: string, cb: (flag: boolean) => void) => void;

/**
 * 取消广告关闭事件的监听.
 * @param adType - 广告类型 - "splash","interstitial","reward","fullscreen"
 */
export type ToffClose = (adType: string) => void