/**
 * 自动化测试
 */
export * from "./auto_test_impl";
/**
 * 底层是否支持自动化测试
 */
export type TisEnable = () => Promise<boolean>;


/**
 * 运行自动化测试脚本
 * @param name 脚本名
 * @param queryFunc 底层向高层查询属性的回调
 */
export type TregisterRunScript = (sdkName: string, scriptName: string, queryFunc: (params: JSON, attrNamesStr: string, id: number) => void) => Promise<void>;

/**
 * 当底层调用了高层的queryFunc，高层查到对应的信息之后，需要返回给底层；
 * @param result Json字符串
 * @param id 和queryFunc的id参数对应；
 */
export type TgetAttr = (sdkName: string, result: string, id: number) => void;