/**
 * 登录 SDK
 * ========================== 注：不要直接使用这里的接口，请使用 pi_common/sdk 的 函数
 */

export * from "./login_impl";

/**
 * 通用 登录
 */
export type Tlogin = (sdkName: string, param?: any) => void;

/**
 * 通用 登出
 */
export type Tlogout = (sdkName: string, param?: any) => void;

/**
 * 通用 注册登录
 */
export type TregisterLoginCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;

/**
 * 通用 取消注册 登录
 */
export type TunRegisterLoginCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;

/**
 * 通用 注册 登出
 */
export type TregisterLogoutCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;


/**
 * 通用 取消注册 登出
 */
export type TunRegisterLogoutCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;


/**
 * 注册 切换账号
 */
export type TregisterAccountSwitchCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;


/**
 * 取消注册 切换账号
 */
export type TunRegisterAccountSwitchCb = (
        sdkName: string,
        success?: (info: any) => void,
        fail?: (reason: any) => void
) => void;