
/**
 * 定义 公共的枚举
 */

/**
 * 传感器的触发频率
 */
export enum Interval {
    Game = "game",  // 适用于更新游戏的回调频率，在 20ms/次 左右
    UI = "ui",      // 适用于更新 UI 的回调频率，在 60ms/次 左右	
    Normal = "normal", // 普通的回调频率，在 200ms/次 左右
}

/**
 * 音频输入源
 */
export enum AudioSource {
    Auto = "auto",	 // 自动设置，默认使用手机麦克风，插上耳麦后自动切换使用耳机麦克风，所有平台适用	
    Buildinmic = "buildInMic",  // 手机麦克风，仅限 iOS	
    Headsetmic = "headsetMic",	// 耳机麦克风，仅限 iOS	
    Mic = "mic",	            // 麦克风（没插耳麦时是手机麦克风，插耳麦时是耳机麦克风），仅限 Android	
    Camcorder = "camcorder",	// 同 mic，适用于录制音视频内容，仅限 Android	
    VoiceCommunication = "voice_communication", // 同 mic，适用于实时沟通，仅限 Android	
    VoiceRecognition = "voice_recognition",	 // 同 mic，适用于语音识别，仅限 Android
}