/**
 * 下载文件为 Blob ， 返回 BlobUrl
 */
export * from "./bloburl_impl";

/**
 * @description 后缀名对应的Blob类型
 * @example
 */
export enum BlobType {
    png = 'image/png',
    jpg = 'image/jpeg',
    jpeg = 'image/jpeg',
    webp = 'image/webp',
    gif = 'image/gif',
    svg = 'image/svg+xml',
    ttf = 'application/x-font-ttf',
    otf = 'application/x-font-opentype',
    woff = 'application/x-font-woff',
    woff2 = 'application/x-font-woff2',
    mp4 = "video/mp4",
    js = "text/javascript",
    wasm = "application/wasm",
    m3u8 = "application/x-mpegURL"
};


/**
 * @description 创建BlobURL
 * @example
 */
export type TcreateURL = (data: ArrayBuffer | Uint8Array, type: BlobType) => string;

/**
 * @description 销毁BlobURL
 */
export type TrevokeURL = (url: string) => void



// ======================= 立即执行
