/**
 * 下载文件为 Blob ， 返回 BlobUrl
 */

import { TcreateURL, TrevokeURL, BlobType } from 'pi_sys/net/bloburl';



/**
 * @description 创建BlobURL
 * @example
 */
export const createURL: TcreateURL = (data: ArrayBuffer | Uint8Array, type: BlobType): string => {
    const blob = new Blob([data], { type: type });

    return URL.createObjectURL(blob);
};

/**
 * @description 销毁BlobURL
 */
export const revokeURL: TrevokeURL = (url: string): void => {
    URL.revokeObjectURL(url);
};


