export enum RESP_TYPE {
	BIN = "bin",
	JSON = "json",
	TEXT = "text"
}

export const ERR_ABORT = "ERR_ABORT";
export const ERR_TOTAL_TIMEOUT = "ERR_TOTAL_TIMEOUT";  // 总超时
export const ERR_RESPONSE_TIMEOUT = "ERR_RESPONSE_TIMEOUT";  // 响应超时
export const ERR_BPS = "ERR_BPS";    // 下载数据量不达标
export const ERR_ARGS = "ERR_ARGS";
export const ERR_NORMAL = "ERR_NORMAL";
export const ERR_LOCATION = "ERR_LOCATION";
export const ERR_JSON = "ERR_JSON";

export interface ProcessFunc {
	(url: string, type: string, total: number, loaded: number, data?: any): void;
}

export interface ResultFunc {
	(val: any, err?: any): void;
}

export class HttpError extends Error {
	public readonly url: string;
	public readonly type: string;
	public readonly reason: string;
	public readonly ev: Event;
	public constructor(url: string, type: string, reason: string, ev?: Event) {
		super(reason);
		this.url = url;
		this.type = type;
		this.reason = reason;
		this.ev = ev;
	}
}