/**
 * 存储， 会全局管理并行写的次数，这样提高性能和读的响应性。
 * 当有写请求时， 如果并行写次数容许，则立刻写入，否则挂起等待。 写入完毕后检查挂起的存储，继续写入。
 */

import { CompressAlgorithm, CompressLevel, EncryptType } from "pi_sys/util/constant";
import { IPiStoreBase, StoreType } from "./store_base";


export class Store implements IPiStoreBase {
    public readonly dbName: string;
    public readonly tabName: string;
    tab: IDBDatabase;
    map: Map<string, any>;
    immediateWrite: boolean = true;  // 是否立即写入

    /**
     * @description 判断是否支持IndexedDB
     * @example
     */
    static check = () => {
        return true;
    }
    /**
     * 删除指定的数据库
     */
    static deleteStore = (dbName: string): Promise<any> => {
        return Promise.resolve();
    }
    /**
     * @description 创建指定名称的存储
     * @example
     */
    static createStore = (dbName: string, tabName = "_db", storeType?: StoreType): Promise<Store> => { // 返回值类型1|类型2
        return Promise.resolve(null);
    }

    constructor(dbName: string, tabName: string) {

    }

    /**
     * @description 读取数据
     * @example
     */
    public read(key: number | string, encryptType?: EncryptType, encryptKey?: string, compressAlgorithm?: CompressAlgorithm): Promise<any> {
        return Promise.resolve();
    }

    /**
     * @description 写入数据，如果键名存在则替换
     * @example
     */
    public write(key: number | string, data: Uint8Array, encryptType?: EncryptType, encryptKey?: string, compressAlgorithm?: CompressAlgorithm, compressLevel?: CompressLevel, immediate?: boolean): Promise<any> {
        return Promise.resolve();
    }

    /**
     * @description 删除数据
     * @example
     */
    public delete(key: number | string): Promise<any> {
        return Promise.resolve();
    }

    /**
     * @description 清除存储
     * @example
     */
    public clear(): Promise<any> {
        return Promise.resolve();
    }

    /**
     * @description 迭代, callback返回false表示停止迭代
     * @example
     */
    public iterate(callback: (result: { key: any, value: any }) => boolean, errorCallback: (err: Event) => void) {
        return Promise.resolve();
    }


}
// ============================== 立即执行
