// 加密类型
export enum EncryptType {
    None = "",                // 不做任何处理
    Compress = "compress",    //  压缩
    Decompress = "decompress", // 解压
    Encrypt = "encrypt",        // 加密
    Decrypt = "decrypt",       // 解密
    CompressEncrypt = "compressEncrypt",  // 压缩加密
    DecompressDecrypt = "decompressDecrypt"  // 解压解密
}

/**
 * 压缩等级
 */
export enum CompressLevel {
    NONE = 0,    // 不压缩
    LOW = 1,     // 低
    MIDDLE = 2,  // 中         默认
    HIGH = 3     // 高
}

/**
 * 压缩算法
 */
export enum CompressAlgorithm {
    NONE = "",
    LZ4 = "lz4",
    ZLIB = "zlib",
    XZ = "xz",
    Lz4Hc = "lz4-hc"   // 默认
}



/**
 * 错误码
 */
export enum ErrorCode {
    SYS_LOAD_FAILED = 800,          // 加载sys失败,一般WEB平台才有
    GAME_VERSION_FAILED = 801,     // 加载game.version失败,一般WEB和小游戏平台才有
    GAME_DEPEND_FAILED = 802,       // 加载game.depend失败,一般WEB和小游戏平台才有
    ALL_CFG_FAILED = 803,          // 所有cfg均下载失败,WEB和小游戏平台才有
    GAME_VERSION_NULL = 804,        // game.version内容为null
    GAME_DEPEND_NULL = 805,        // game.depend内容为null

    SYSTEM_INFO_FAILED = 1001,      // 获取system等相关设备信息失败
    UPDATE_INIT_FAILED = 1002,      // 更新初始化检查错误,一般是远端版本小于了本地版本
    UPDATE_CLEAR_DATA_FAILED = 1003, // 更新清楚数据出错
    UPDATE_FAILED = 1004,            // 更新出错
    ENGINE_CFG_INIT_FAILED = 1005,    // 引擎配置初始化失败 
    CANT_RUN = 1006,                         // 无法运行,Miss WebGL or WebAssembly
    MISS_WEBGL = 1007,                 // 缺少WebGL
    LOAD_IMAGE_DEPEND_FAILED = 1008,       // 下载image_depend失败
    LOAD_MODULE_INIT_FAILED = 1009,    //load模块初始化失败
    FIRST_LOAD_FAILED = 1010,         // 第一次下载资源失败
    FIRST_EXEC_FAILED = 1011,       // 第一次执行失败,一般是pi_utils，pi_gui的初始化方法
    NEXT_LOAD_FAILED = 1012,       // next_load下载资源失败
    NEXT_EXEC_FAILED = 1013,          // next执行失败,一般是项目的入口方法
    RES_DOAWLOAD_FAILED = 1014,      // 资源下载失败
    DATA_IS_NULL = 1015,               // 获取到的资源为NULL
    BYTELENGTH_MISTAKE = 1016,         // 获取到的数据大小和depend中记录的不一致
    DATA_DECRYPT_FAILED = 1017,       // 数据解密失败
    LOAD_JS_FROM_AB_ERROR = 1018,      // 解析js失败
    UPDATE_DOAWLOAD_FAILED = 1019,              //  更新下载失败
    UPDATE_WRITE_CFG_FAILED = 1020,         // 更新写入cfg失败
}


