
/**
 * Env中 通用Key
 */
export enum CommonKey {
    /**
     * 是否EXE
     */
    EXE = "exe",

    /**
     * navigation.userAgent
     */
    UserAgent = "user_agent",
    
    /**
     * 移动端的 AssetPath
     */
    MobileAssetPath = "mobile_asset_path",
    
    /**
     * Windows的AssetPath
     */
    WindowsAssetPath = "windows_asset_path",
    
    /**
     * 本地包的depend文件名，相对于assetPath，不以/开头
     */
    AssetDependPath = "asset_depend_path",

    /**
     * 资源缓存超时时间
     */
    ResTimeout = "res_timeout",

    /**
     * 所有类型资源 未使用的资源可缓存的总大小限制 - 超过该值将在各类型中进行比较选择性进行释放
     */
    ResCacheTotalSize = "res_cache_total_size",

    /**
     * 某类型资源缓存 - 缓存大小不超过该值 不会触发释放(资源一直被缓存); 在所有类型资源的管理触发释放时 可能会触发该类型的释放 
     */
    ResCacheSize = "res_cache_size",
    /**
     * 某类型资源缓存 - 缓存大小超过该值 在所有类型资源的管理触发释放时 一定会触发该类型的释放 
     */
    ResCacheMaxSize = "res_cache_max_size",

    /**
     * 资源类型配置
     */
    AssetTypeConfig = "asset_type_config",

    /**
     * 所有类型资源 总大小限制 - 超过该值将在各类型中进行比较选择性进行释放
     */
    AssetTotalSize = "asset_total_size",
}