/** 
 * TextDecoder & TextEncoder 始终存在,在pi_init.js里面会模拟
 */
/**
 * @hidden
 */
let decoder: TextDecoder;
/**
 * @hidden
 */
let encoder: TextEncoder;

/**
 * @description utf8的Uint8Array解码成字符串
 * @example
 */
export const utf8Decode = (_arr: ArrayBuffer | Uint8Array) => {
    if (!decoder) {
        decoder = new TextDecoder('utf-8');
    }

    if (!_arr || _arr.byteLength === 0) {
        return '';
    }
    return decoder.decode(_arr);
}

/**
 * @description 字符串编码成utf8的Uint8Array
 * @example
 */
export const utf8Encode = (s: string) => {
    if (!encoder) {
        encoder = new TextEncoder();
    }

    if ((!s) || s.length === 0) {
        return new Uint8Array([]);
    }

    return encoder.encode(s);
}
