import { loadFile } from "pi_sys/load/object_load";
import { createURL } from "pi_sys/net/bloburl";
import { TsetCursor } from "pi_sys/render/cursor";
import { Logger } from "pi_sys/util/logger";
declare var module;
let logger = new Logger(module.name, "sys");

export const setCursor: TsetCursor = (path: string, x: number = 0, y: number = 0) => {
    return new Promise((resolve, reject) => {
        loadFile(path, []).then(data => {
            if (ArrayBuffer.isView(data)) {
                data = data.slice().buffer;
            }
            const blobUrl = createURL(data, "image/vnd.microsoft.icon");
            const body = document.querySelector("body");
            body.style.cursor = `url(${blobUrl}) ${x} ${y},auto`;
            resolve(true)
        }).catch(e => {
            logger.error(`setCursor failed,error = ${e.message}`);
            resolve(false);
        })
    })

}