import { TgetData, TsetData } from "pi_sys/native/device/clipboard";
import { Native } from "../core/index";


export const getData: TgetData = (): Promise<string> => {
    return new Promise((resolve, reject) => {
        Native.Clipboard.init().then(() => {
            Native.Clipboard.get(
                (info: string) => {
                    resolve(info);
                },
                reject
            );
        });
    })
}


export const setData: TsetData = (data: string): Promise<void> => {
    return new Promise((resolve, reject) => {
        Native.Clipboard.init().then(() => {
            Native.Clipboard.set(
                data,
                (info: any) => {
                    resolve(info);
                },
                reject
            );
        });
    })
}