
/**
 * 支付 SDK
 * 
 * ========================== 注：不要直接使用这里的接口，请使用 pi_common/sdk 的 函数
 */

import { TconfirmPay, TgetUnconfirmPays, Tpay } from "pi_sys/native/platform/pay";
import { Native } from "../core/index";

export const pay: Tpay = (sdkName: string, param: any) => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.Pay.init().then(() => {
            Native.Pay.pay(sdkName, str, resolve, reject);
        }).catch(reject);
    });
}

export const confirmPay: TconfirmPay = (sdkName: string, param?: any): Promise<any> => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.Pay.init().then(() => {
            Native.Pay.confirmPay(sdkName, str, resolve, reject);
        }).catch(reject);
    });
}

export const getUnconfirmPays: TgetUnconfirmPays = (sdkName: string, param?: any): Promise<any[]> => {
    const str = JSON.stringify(param);

    return new Promise((resolve, reject) => {
        Native.Pay.init().then(() => {
            Native.Pay.getUnconfirmPays(sdkName, str, resolve, reject);
        }).catch(reject);
    });
}