import { CommonKey } from "../../pi_sys/util/env_base";
import { Env } from "../../pi_sys/util/env";

export enum PlatformType {
    Web = "Web",
    Win = "Win",
    Android = "Android",
    Harmony = "Harmony",
    IOS = "iOS",
}

export const getPlatformType = (): PlatformType => {
    if (platform !== undefined) {
        return platform;
    }

    platform = PlatformType.Web;

    let ua = Env.get(CommonKey.UserAgent);
    if (ua) {
        let isExe = !!Env.get(CommonKey.EXE);
        if (ua.indexOf("PI_ANDROID") >= 0) {
            platform = PlatformType.Android;
        } else if (ua.indexOf("PI_IOS") >= 0) {
            platform = PlatformType.IOS;
        } else if (ua.indexOf("PI_HARMONY") >= 0) {
            platform = PlatformType.Harmony;
        } else if (isExe || ua.indexOf("PI_WINDOWS") >= 0) {
            platform = PlatformType.Win;
        }
    }

    return platform;
}

// ================================ 本地

let platform: PlatformType = undefined;