declare var Canvas;

import "./platform"; // 屏蔽各小游戏平台差异
import { addListener, removeListener, dispatchEvent as dispatchEvent1 } from 'pi_sys/native/base/event';
import { createImage } from "../render/image_impl"

export const document = {
    readyState: 'complete',
    visibilityState: 'visible', // 'visible' , 'hidden'
    hidden: false,
    fullscreen: true,

    location: window.location,

    scripts: [],
    style: {},

    ontouchstart: null,
    ontouchmove: null,
    ontouchend: null,
    onvisibilitychange: null,

    parentNode: null,
    parentElement: null,
    addEventListener: addListener,
    removeEventListener: removeListener,
    dispatchEvent: dispatchEvent1,

    createElement(tagName) {
        tagName = tagName.toLowerCase();
        if (tagName === 'canvas') {
            return new Canvas();
        } else if (tagName === 'img') {
            return createImage();
        }

        return new HTMLElement()
    },
};