import { loadRes } from "pi_sys/load/res_load";
import { Depend } from "pi_sys/util/depend";

declare var ESProcess: any;
declare function loadImage(filePath: string, buffer: ArrayBuffer): any;
declare function loadFile(filePath: string, buffer: ArrayBuffer): any;
console.log("======== ESProcess.receive");

ESProcess.receive = function (msg, from) {
    let type: string = msg[0];
    console.log("======== ESProcess.receive type", type);
    switch (type) {
        case "file":
            let filePath = msg[1];
            let info = Depend.getFile(filePath);

            if (info) {
                loadRes(info).then((data) => {
                    let ab: ArrayBuffer = data;
                    if (ArrayBuffer.isView(data)) {
                        ab = data.slice().buffer;
                    }

                    loadFile(filePath, data);
                });
            } else {
                console.log(`loadImage - Not Found File Depend Info ${filePath}`);
            }
            break;

        case "cfg":
            let cfgStr = msg[1];
            // console.log("======== net_cfg:" + cfg);
            let cfg = JSON.parse(cfgStr);
            globalThis.__netCfg = cfg;
            if (!!globalThis.__netCfgCallback) {
                globalThis.__netCfgCallback(cfg)
            }
            break;

        default:
            break;
    }
};

