import { RenderLauncher } from "../render/render_launcher";

/**
 * 本地进度条
 */

export class ProgressBar {
    private static counter = 0;
    // 加载的总文件长度
    public total: number = 0;
    // 加载的当前进度
    public loaded: number = 0;
    private progress: number = 0;

    constructor(cfg: { canvas: HTMLCanvasElement, bgurl: string, image?: HTMLImageElement }) {
        ProgressBar.counter++;
        if (!RenderLauncher.webgldemo || RenderLauncher.webgldemo.isDestroy) {
            RenderLauncher.active(cfg.canvas, 'progress', cfg);
        }
    }
    private calc = () => {
        const progress = (this.loaded) / (this.total);
        this.progress = Math.max(this.progress, progress);
        RenderLauncher.updateProgress(this.progress);
    }
    /**
     * 显示文字和进度条， 文字有呼吸灯的效果
     * @param text .
     * @param total .
     * @param loaded .
     */
    public show(text: string, total: number, loaded: number) {
        this.total = total;
        this.calc();
    }
    public onProcess = (url: string, type: string, total: number, loaded: number, data?: Uint8Array) => {
        this.total = total;
        this.loaded = loaded;
        this.calc();
    }
    public flush() {
        RenderLauncher.updateProgress(1);
    }
    public clear() {
        this.total = 0;
        this.loaded = 0;
        if (ProgressBar.counter >= 2) {
            RenderLauncher.destroy();
        }
        else {
            RenderLauncher.updateProgress(0);
        }
    }
}