import { TgetData, TsetData } from "pi_sys/native/device/clipboard";

/**
 * 获取剪贴板的数据，仅文本.
 */
export const getData: TgetData = (): Promise<string> => {
    return Promise.resolve(globalThis.getClipboardText());
}

/**
 * 设置剪贴板内容. 调用成功后，会弹出 toast 提示"内容已复制"，持续 1.5s.
 * @param data 
 */
export const setData: TsetData = (data: string): Promise<void> => {
    return Promise.resolve(globalThis.copyToClipboard(data));
}