import { IDownloadFileOption, IUpdateOption, TdownloadFile, TrestartApp, TupdateApk, TupdateSnapshot, TupdateSo, TupdateSys } from "pi_sys/native/base/update";
import { restartApp as restartApp1 } from "pi_sys/native/base/app";

/**
 * 下载文件到指定目录
 */
export const downloadFile: TdownloadFile = (option: IDownloadFileOption) => {
    globalThis.downloadFile(option);
}

/**
 * 更新apk
 */
export const updateApk: TupdateApk = (option: IUpdateOption) => {
    globalThis.updateApk(option);
}

/**
 * 更新so
 */
export const updateSo: TupdateSo = (option: IUpdateOption) => {
    globalThis.updateSo(option);
}


/**
 * 更新快照
 */
export const updateSnapshot: TupdateSnapshot = (option: IUpdateOption) => {
    globalThis.updateSnapshot(option);
}


/**
 * 更新pisys
 */
export const updateSys: TupdateSys = (option: IUpdateOption) => {
    globalThis.updateSys(option);
}

/**
 * 重启虚拟机
 */
export const restartApp: TrestartApp = () => {
    if ((<any>window).onBeforeRestartApp) {
        (<any>window).onBeforeRestartApp();
    }
    // globalThis.restartApp();
    restartApp1();
}