import { IStats, Taccess, TappendFile, TcopyFile, Tftruncate, Tmkdir, Treaddir, TreadFile, Trename, Trmdir, Tstat, Tunlink, TwriteFile } from "pi_sys/store/file_system";
const fs = globalThis.getFileSystemManager();


export const access: Taccess = (path: string) => {
    return fs.access(path);
}

export const appendFile: TappendFile = (path: string, data: string | ArrayBuffer) => {
    return fs.appendFile(path, data);
}

export const copyFile: TcopyFile = (srcPath: string, destPath: string) => {
    return fs.copyFile(srcPath, destPath);
}

export const mkdir: Tmkdir = (path: string) => {
    return fs.mkdir(path);
}

export const readFile: TreadFile = (path: string, encoding: "utf8" | "binary" = "utf8", offset?: number, size?: number) => {
    return fs.readFile(path, encoding, offset, size);
}


export const readdir: Treaddir = (path: string) => {
    return fs.readdir(path);
}

export const rename: Trename = (oldPath: string, newPath: string) => {
    return fs.rename(oldPath, newPath);
}

export const rmdir: Trmdir = (path: string) => {
    return fs.rmdir(path);
}


export const stat: Tstat = (path: string) => {
    return fs.stat(path).then(r => {
        r.isDirectory = () => {
            return r.type === 2;
        }
        r.isFile = () => {
            return r.type === 1;
        }
        return r;
    });
}

export const unlink: Tunlink = (path: string) => {
    return fs.unlink(path);
}

export const writeFile: TwriteFile = (path: string, data: string | ArrayBuffer) => {
    return fs.writeFile(path, data);
}


export const ftruncate: Tftruncate = (path: string, length: number) => {
    return new Promise((resolve, reject) => {
        reject(new Error("not impl"))
    })
}